cc.funkemunky.api.tinyprotocol.api

## Class Packet

- java.lang.Object
- - cc.funkemunky.api.tinyprotocol.api.Packet

Direct Known Subclasses:
  WrappedInVelocityPacket

    public abstract class Packet
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `Packet.Client`
`static class` `Packet.Server`
`static class` `Packet.Type`

### Constructor Summary

Constructors
Constructor and Description
`Packet(java.lang.Object packet)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static java.lang.Object` `construct(java.lang.String packet, java.lang.Object... args)`
`<T> T` `fetch(FieldAccessor<T> field)`
`static <T> FieldAccessor<T>` `fetchField(java.lang.String className, java.lang.Class<T> fieldType, int index)`
`java.lang.String` `getPacketName()`
`static boolean` `isLook(java.lang.String type)`
`static boolean` `isPosition(java.lang.String type)`
`static boolean` `isPositionLook(java.lang.String type)`
`void` `process(org.bukkit.entity.Player player, ProtocolVersion version)`
`void` `setPacket(java.lang.String packet, java.lang.Object... args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Packet

    public Packet(java.lang.Object packet)

### Method Detail

#### construct

    public static java.lang.Object construct(java.lang.String packet,
                                             java.lang.Object... args)

#### fetchField

    public static <T> FieldAccessor<T> fetchField(java.lang.String className,
                                                  java.lang.Class<T> fieldType,
                                                  int index)

#### isPositionLook

    public static boolean isPositionLook(java.lang.String type)

#### isPosition

    public static boolean isPosition(java.lang.String type)

#### isLook

    public static boolean isLook(java.lang.String type)

#### getPacketName

    public java.lang.String getPacketName()

#### process

    public void process(org.bukkit.entity.Player player,
                        ProtocolVersion version)

#### setPacket

    public void setPacket(java.lang.String packet,
                          java.lang.Object... args)

#### fetch

    public <T> T fetch(FieldAccessor<T> field)